SPI_commit
Prev | Up | 47.4. Transaction Management | Home | Next

## SPI_commit

SPI_commit — commit the current transaction

## Synopsis

    void SPI_commit(void)

## Description

`SPI_commit` commits the current transaction. It is approximately equivalent to running the SQL command `COMMIT`. After a transaction is committed, a new transaction has to be started using `SPI_start_transaction` before further database actions can be executed.

This function can only be executed if the SPI connection has been set as nonatomic in the call to `SPI_connect_ext`.

Prev | Up | Next
47.4. Transaction Management | Home | SPI_rollback